<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xunwang.education.mapper.TeacherCertificationsMapper">

    <select id="getInfosByUid" resultType="com.xunwang.education.entity.TeacherCertifications">
        select tc.school, tc.major, tc.native_place, tc.education
        from teacher_certifications tc
        where uid = #{uid};
    </select>

    <select id="getTeacherDetail" resultType="com.xunwang.education.entity.TeacherCertifications">
        SELECT
            *
        FROM `teacher_certifications`
        WHERE uid IN
        (
        <foreach collection="array" item="one" separator=",">
        #{one}
        </foreach>
        )
    </select>

    <select id="getAllSchools" resultType="java.lang.String">
        select distinct school from teacher_certifications;
    </select>
</mapper>
